Subject: Re: [PATCH 08/16] test-lib functions: add --printf option to test_commit

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 15 Apr 2021 13:33:05 +0200

On Tue, Apr 13 2021, Junio C Hamano wrote:

> Eric Sunshine <[email-masked]> writes:
>
>> I don't care for `--raw` either but couldn't think of anything better
>> at the time. But perhaps a name such as `--allow-escapes` would be
>> clearer, or perhaps not. `--c-style-escapes`?
>
> It's printf(1) style escapes ;-)
>
>> Anyhow, it's pure bikeshedding as I mentioned in my original email, so
>> not a big deal. I brought it up only because the very first thought
>> that popped into my head when reading the commit message saying it was
>> adding `--printf` was "oh, interesting; how do I specify the arguments
>> to interpolate into the `printf` format string?".

So, the conclusion of this thread is let's keep it as --printf?